/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __DLGDETAILS_BOX_H__
#define __DLGDETAILS_BOX_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "context.h"
#include "object.h"
#include "Library.h"

class CLibraryFile;
class CTinyCadView;
class CDlgDetailsBox;


// The dialog to set the design details
class CDlgDetailsBox : public CDialog 
{
	CTinyCadDoc *parent;
public:
	CDlgDetailsBox(CTinyCadDoc *pDesign,CWnd *pParentWnd);

// Dialog Data
	//{{AFX_DATA(CDlgDetailsBox)
	enum { IDD = IDD_DESIGN };
	CString	m_Version;
	CString	m_Author;
	CString	m_Date;
	BOOL	m_Display;
	CString	m_Document;
	CString	m_File;
	CString	m_Organisation;
	CString	m_Revision;
	CString	m_Sheet;
	CString	m_Title;
	BOOL	m_Show_Rulers;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgDetailsBox)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CDlgDetailsBox)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


#endif // __DLGDETAILS_BOX_H__
