// JunctionUtils.h: interface for the CJunctionUtils class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_JUNCTIONUTILS_H__C27DE585_CD2B_4C43_9CAB_513AC3D15E15__INCLUDED_)
#define AFX_JUNCTIONUTILS_H__C27DE585_CD2B_4C43_9CAB_513AC3D15E15__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTinyCadDoc;

#include "Object.h"

class CJunctionUtils  
{
public:

	// This is used during moving objects
	struct todo_point
	{
		CPoint a;
		CPoint b;

		todo_point( CPoint ai, CPoint bi )
		{
			a = ai;
			b = bi;
		}

		todo_point( CPoint ai )
		{
			a = ai;
			b = ai;
		}

		static bool comparePoint( const CPoint a, const CPoint b )
		{
			if (a.x == b.x)
			{
				return a.y < b.y;
			}
			else
			{
				return a.x < b.x;
			}
		}

		bool operator<( const todo_point p ) const
		{
			if (p.a == a)
			{
				return comparePoint(b,p.b);
			}
			else
			{
				return comparePoint(a,p.a);
			}
		}
	};
protected:
	typedef std::set<todo_point> todoList;
	todoList	m_todo;


	CTinyCadDoc*	m_pDesign;

public:

	// Check to see if a junction is required on a line
	void CheckJunctionRequirement( CPoint a, CPoint b );

	// Check to see if a junction is required at the point specified...
	void CheckJunctionRequirement( CPoint q );

	// Add an object to the todo list
	void AddObjectToTodo( CDrawingObject *obj );
	void CheckTodoList();
	
	CJunctionUtils(CTinyCadDoc*	pDesign);
	virtual ~CJunctionUtils();

};

#endif // !defined(AFX_JUNCTIONUTILS_H__C27DE585_CD2B_4C43_9CAB_513AC3D15E15__INCLUDED_)
